org.apache.ivy.osgi.updatesite.xml

## Class EclipseUpdateSiteParser

- java.lang.Object
- - org.apache.ivy.osgi.updatesite.xml.EclipseUpdateSiteParser

    public class EclipseUpdateSiteParser
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`EclipseUpdateSiteParser()`

### Method Summary

Methods
`static UpdateSite` `parse(java.io.InputStream in)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### EclipseUpdateSiteParser

    public EclipseUpdateSiteParser()

### Method Detail

#### parse

    public static UpdateSite parse(java.io.InputStream in)
                            throws java.text.ParseException,
                                   java.io.IOException,
                                   org.xml.sax.SAXException

Throws:
  `java.text.ParseException`
  `java.io.IOException`
  `org.xml.sax.SAXException`